Description

When we export a SHP to PostGIS we get an error and it doesn't finish. The same action works in gvSIG 2.3.1.

I attach log file.

Associated revisions
Revision 43756 - 02/18/2018 11:08 AM - Joaquín  del Cerro Murciano

refs #4814, añadido que cuando falle ejecutando una sentencia SQL la muestre en el log.

Revision 464 - 02/19/2018 05:59 PM - Joaquín  del Cerro Murciano

refs #4814. Modificado el builder de postgresql para que al crear sentencias del tipo 'CREATE INDEX IF NOT EXISTS ...' solo use el condicional para
versiones de postgresql 9.5 y superiores.

History
#1 - 02/18/2018 11:03 AM - Joaquín  del Cerro Murciano

Mario, no soy capaz de reproducir el error.
¿ Podrias hacerme llegar la capa que estas usando (Zurich_Streets_4326.shp) ?

#2 - 02/19/2018 09:46 AM - Mario Carrera
- File Zurich_Streets.zip added

Adjunto la capa.

#3 - 02/19/2018 05:46 PM - Joaquín  del Cerro Murciano
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#4 - 02/19/2018 05:49 PM - Joaquín  del Cerro Murciano
Al parecer estamos usando una construccion:

CREATE INDEX IF NOT EXISTS ...

Y eso no esta soportado hasta Postgresql 9.5.

Voy a ver de comprobar la version de postgresql y si es 9.5 o superior tirare de eso y si no simplemente intetare crear el indice.

#5 - 02/19/2018 06:01 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 02/19/2018 11:21 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2849 (rev. org.gvsig.desktop-2.0.219)

#7 - 02/18/2019 04:50 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 430 KB 02/14/2018 Mario Carrera
Zurich_Streets.zip 34.6 KB 02/19/2018 Mario Carrera
